input = 48

tas = (14, 14, 14, 23)

tubes = [i+1 for i in range(sum(tas))]

for i in range(input):
    tubes = tubes[-tas[3]:] + tubes[:tas[0]] + tubes[tas[0]+tas[1]:-tas[3]] + tubes[tas[0]:tas[0]+tas[1]]

print(tubes)

for i in range(len(tubes)):
    if tubes[i]%2 ==0:
        print(i+1, end=", ")
